VERSION 4.00
Begin VB.Form frmReply 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Reply to OfficeVision Note"
   ClientHeight    =   5748
   ClientLeft      =   1848
   ClientTop       =   1716
   ClientWidth     =   8448
   Height          =   6120
   Icon            =   "reply.frx":0000
   Left            =   1800
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5748
   ScaleWidth      =   8448
   ShowInTaskbar   =   0   'False
   Top             =   1392
   Width           =   8544
   Begin VB.TextBox txtReply 
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   7.2
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4692
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   240
      Width           =   8172
   End
   Begin VB.CommandButton btnSend 
      Caption         =   "Send"
      Height          =   372
      Left            =   5520
      TabIndex        =   2
      Top             =   5160
      Width           =   1332
   End
   Begin VB.CommandButton btnCancel 
      Caption         =   "Cancel"
      Height          =   372
      Left            =   6960
      TabIndex        =   1
      Top             =   5160
      Width           =   1332
   End
End
Attribute VB_Name = "frmReply"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Dim NewPage As Boolean


Private Sub CopyReplyToScreen()
    Dim SendString As String
    Dim WorkString As String
    Dim EOLString As String
    Dim Endline As Integer
    Dim InStrRet As Integer
    Dim PageLines As Integer
    Dim ReplyLen As Integer
    Dim NumReplyLines As Integer
    
    ' Turn of prefixing so our text will fit in the PS
    Sess.autECLPS.SendKeys "Prefix Off[enter]", 24, 7
    Call Sleep(500)
    Sess.autECLPS.SetCursorPos 18, 1
    
    ' Send the keys to the PS
    WorkString = txtReply.Text
    EOLString = Chr$(13) + Chr$(10)
    ReplyLen = Len(WorkString)
    NumReplyLines = 1
    InStrRet = InStr(1, WorkString, EOLString)
    While InStrRet <> 0
        Endline = InStrRet - 1
        
        If Endline <= 0 Then
            SendString = " "
        Else
            SendString = Mid(WorkString, 1, Endline)
        End If
        
        ' Determine if a new page is needed
        If NumReplyLines = 4 Then
            Call ReplyPageDown
            PageLines = 1
        End If
        If PageLines = 8 Then
            Call ReplyPageDown
            PageLines = 1
        End If
        
        ' Call to put the line on the PS
        Sess.autECLPS.SetText SendString
        Sess.autECLPS.SendKeys "[tab]"
        
        'Bump up the indexes
        PageLines = PageLines + 1
        NumReplyLines = NumReplyLines + 1
        WorkString = Mid(WorkString, InStrRet + 2, ReplyLen)
        InStrRet = InStr(1, WorkString, EOLString)
    Wend
    
    ' Put the text onto the PS
    Sess.autECLPS.SetText ReplyString
End Sub


Private Sub ReplyPageDown()
    Sess.autECLPS.SendKeys "[pf8]"
    Call Sleep(500)
    Sess.autECLPS.SendKeys "[tab][tab]"
End Sub


Private Sub btnCancel_Click()
    Unload Me
End Sub




Private Sub btnSend_Click()
    ' Get to mail text screen
    Sess.autECLPS.SendKeys "open[enter]", MailItem, 2
    If WaitForScreen("V01", "Note", 500, 10) Then
        Sess.autECLPS.SendKeys "[pf6]"
    Else
        MsgBox "Couldn't get to reply screen"
        Unload Me
    End If
    
    ' Get to reply screen
    If WaitForScreen("E42", "Reply To The Note", 500, 10) Then
        ' Copy the text into the VM note editor
        Call CopyReplyToScreen
    Else
        MsgBox "Couldn't get to reply screen"
        Unload Me
    End If
    
    ' Send the file
    Sess.autECLPS.SendKeys "[pf5]"
    
    ' Get back to mail list
    If WaitForScreen("V01", "Note", 500, 10) Then
        Sess.autECLPS.SendKeys "[pf12]"
    Else
        MsgBox "Couldn't get back to note"
        Unload Me
    End If
    
    If Not WaitForScreen("ML01", "In-Basket", 500, 10) Then
        MsgBox "Couldn't get back to mail list"
        Unload Me
    End If
    
    ' Close the form
    Unload Me
End Sub





Private Sub Form_Load()
    Dim WorkString As String

    If UseHistory Then
        ' Give user five new lines
        WorkString = Chr$(13) + Chr$(10) + Chr$(13) + Chr$(10) + Chr$(13) + Chr$(10) + Chr$(13) + Chr$(10) + Chr$(13) + Chr$(10)
        WorkString = WorkString + ">--------------------------------------------------" + Chr$(13) + Chr$(10)
        WorkString = WorkString + "> Begining of Original Note Text" + Chr$(13) + Chr$(10)
        WorkString = WorkString + ">--------------------------------------------------" + Chr$(13) + Chr$(10)
        WorkString = WorkString + HistoryString
        WorkString = WorkString + ">--------------------------------------------------" + Chr$(13) + Chr$(10)
        WorkString = WorkString + ">  End of Original Note Text " + Chr$(13) + Chr$(10)
        WorkString = WorkString + ">--------------------------------------------------" + Chr$(13) + Chr$(10)
    Else
        WorkString = Chr$(13) + Chr$(10) + Chr$(13) + Chr$(10)
    End If

    txtReply.Text = WorkString
End Sub


