VERSION 4.00
Begin VB.Form FormPutDataToPS 
   Caption         =   "Put Data to PS"
   ClientHeight    =   3024
   ClientLeft      =   3768
   ClientTop       =   2880
   ClientWidth     =   4692
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   0
      weight          =   700
      size            =   7.8
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   3348
   Left            =   3720
   LinkMode        =   1  'Source
   LinkTopic       =   "Form1"
   ScaleHeight     =   3024
   ScaleWidth      =   4692
   Top             =   2604
   Width           =   4788
   Begin VB.CheckBox EOFCheck 
      Caption         =   "EOF &Flag Enable"
      ForeColor       =   &H80000008&
      Height          =   375
      Left            =   240
      TabIndex        =   7
      Top             =   1920
      Width           =   1935
   End
   Begin VB.ComboBox SessionIdList 
      BackColor       =   &H00FFFFC0&
      ForeColor       =   &H00000000&
      Height          =   288
      ItemData        =   "FPUTDAPS.frx":0000
      Left            =   1320
      List            =   "FPUTDAPS.frx":0052
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   480
      Width           =   492
   End
   Begin VB.CommandButton ExitDlg 
      Cancel          =   -1  'True
      Caption         =   "E&xit"
      Height          =   372
      Left            =   2880
      TabIndex        =   9
      Top             =   2520
      Width           =   972
   End
   Begin VB.CommandButton Execute 
      Caption         =   "&Execute"
      Default         =   -1  'True
      Height          =   375
      Left            =   840
      TabIndex        =   8
      Top             =   2520
      Width           =   975
   End
   Begin VB.TextBox PutDataText 
      BackColor       =   &H00FFFFC0&
      BeginProperty Font 
         name            =   "System"
         charset         =   0
         weight          =   700
         size            =   9.6
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000000&
      Height          =   492
      Left            =   360
      MultiLine       =   -1  'True
      ScrollBars      =   1  'Horizontal
      TabIndex        =   6
      Top             =   1200
      Width           =   3972
   End
   Begin VB.TextBox PSStartOffsetText 
      BackColor       =   &H00FFFFC0&
      ForeColor       =   &H00000000&
      Height          =   288
      Left            =   3600
      TabIndex        =   4
      Text            =   "0000"
      Top             =   480
      Width           =   492
   End
   Begin VB.Frame Frame2 
      Caption         =   "Input Parameters"
      Height          =   2292
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   4452
      Begin VB.Frame Frame3 
         Caption         =   "PS &Data"
         Height          =   852
         Left            =   120
         TabIndex        =   5
         Top             =   840
         Width           =   4212
      End
      Begin VB.Label Label2 
         Caption         =   "PS &Position"
         Height          =   252
         Left            =   2400
         TabIndex        =   3
         Top             =   360
         Width           =   1092
      End
      Begin VB.Label Label1 
         Caption         =   "Session &Id"
         Height          =   252
         Left            =   240
         TabIndex        =   1
         Top             =   360
         Width           =   972
      End
   End
End
Attribute VB_Name = "FormPutDataToPS"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

Private Sub Execute_Click()
On Error GoTo ErrHandler
   FunctionComp = True
   
   OldMousePointer = MousePointer
   MousePointer = 11 ' Hour Glass Mouse Pointer
   
   DisplayType$ = GetDisplayType$(SessionIdList.Text)
   
   If DisplayType$ = "NONE" Then
      MousePointer = OldMousePointer
      MsgBox MSG_INVALID_PSID + SessionIdList.Text, 48, MSG_SAMPLE_PROG
      Exit Sub
   End If
   
   temp$ = LTrim$(RTrim$(SessionIdList.Text))
   If Len(temp$) > 0 Then
      Topic$ = "Session" + SessionIdList.Text
   Else
      MousePointer = OldMousePointer
      MsgBox MSG_PARA_ERROR, 48, MSG_SAMPLE_PROG
      Exit Sub
   End If

   Item$ = GetItemName()
   rc = DoEvents()              'If you use VisualBasic V2.0, call
                                'DoEvents function each time before
                                'starting DDE conversation.
   PutDataText.LinkTimeout = -1
   PutDataText.LinkTopic = APPLICATION_NAME + "|" + Topic$
   PutDataText.LinkMode = COLD
   PutDataText.LinkItem = Item$
   PutDataText.LinkPoke
   PutDataText.LinkMode = NONE
      
   MousePointer = OldMousePointer
   If FunctionComp = True Then
      MsgBox MSG_FUNCTION_COMP, 64, MSG_SAMPLE_PROG
      EndStatus$ = MSG_OK
   Else
      MsgBox MSG_DDE_ERROR, 48, MSG_SAMPLE_PROG
      EndStatus$ = MSG_NG
   End If

   TempLogData$ = Time$ + ":Put Data to PS : " + EndStatus$ + Chr$(13) + Chr$(10) + Chr$(9)
   TempLogData$ = TempLogData$ + MSG_APPLICATION + APPLICATION_NAME + """" + Chr$(13) + Chr$(10) + Chr$(9)
   TempLogData$ = TempLogData$ + MSG_TOPIC + """" + Topic$ + """" + Chr$(13) + Chr$(10) + Chr$(9)
   TempLogData$ = TempLogData$ + MSG_ITEM + """" + Item$ + """" + Chr$(13) + Chr$(10)
   LogData$(LogEnd) = TempLogData$
   UpdateLogPointer
   Loged = True
   Exit Sub

ErrHandler:
   FunctionComp = False
   Resume Next
End Sub

Private Sub ExitDlg_Click()
    Hide
End Sub

Private Function GetItemName() As String

  temp$ = RTrim$(LTrim$(PSStartOffsetText.Text))
 
  If EOFcheck.Value = CHECKED Then
     Temp2$ = "1"
  Else
     Temp2$ = "0"
  End If
  GetItemName = "EPS(" + temp$ + "," + Temp2$ + ")"
End Function

Private Sub UpdateLogPointer()
    LogEnd = LogEnd + 1
    If LogEnd = MAXLOGNUM + 1 Then
       LogEnd = 0
    End If

    If LogTop = LogEnd Then
       LogTop = LogTop + 1
       If LogTop = MAXLOGNUM + 1 Then
          LogTop = 0
       End If
    End If
End Sub

Private Sub Form_Load()
  SessionIdList.ListIndex = 0
  AdjustForNT351 FormPutDataToPS
End Sub




