VERSION 4.00
Begin VB.Form FormSessExMacroKeyboard 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Keyboard "
   ClientHeight    =   2292
   ClientLeft      =   4668
   ClientTop       =   3960
   ClientWidth     =   2664
   ControlBox      =   0   'False
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   0
      weight          =   700
      size            =   7.8
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   2616
   Left            =   4620
   LinkMode        =   1  'Source
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2292
   ScaleWidth      =   2664
   ShowInTaskbar   =   0   'False
   Top             =   3684
   Width           =   2760
   Begin VB.ComboBox SessionIdList 
      BackColor       =   &H00FFFFC0&
      ForeColor       =   &H00000000&
      Height          =   288
      ItemData        =   "FSESEXKB.frx":0000
      Left            =   1320
      List            =   "FSESEXKB.frx":0052
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   360
      Width           =   492
   End
   Begin VB.CommandButton ExitDlg 
      Cancel          =   -1  'True
      Caption         =   "E&xit"
      Height          =   372
      Left            =   1560
      TabIndex        =   7
      Top             =   1800
      Width           =   852
   End
   Begin VB.CommandButton Execute 
      Caption         =   "&Execute"
      Default         =   -1  'True
      Height          =   372
      Left            =   240
      TabIndex        =   6
      Top             =   1800
      Width           =   876
   End
   Begin VB.Frame Frame1 
      Caption         =   "Key Status"
      ForeColor       =   &H80000008&
      Height          =   732
      Left            =   312
      TabIndex        =   3
      Top             =   840
      Width           =   2028
      Begin VB.OptionButton KeyUnlockOption 
         Caption         =   "&Unlock"
         ForeColor       =   &H80000008&
         Height          =   252
         Left            =   960
         TabIndex        =   5
         Top             =   360
         Width           =   972
      End
      Begin VB.OptionButton KeyLockOption 
         Caption         =   "&Lock"
         ForeColor       =   &H80000008&
         Height          =   252
         Left            =   96
         TabIndex        =   4
         Top             =   360
         Value           =   -1  'True
         Width           =   876
      End
   End
   Begin VB.TextBox DataText 
      BackColor       =   &H00C0FFFF&
      Height          =   372
      Left            =   2136
      TabIndex        =   8
      Text            =   "Text2"
      Top             =   360
      Visible         =   0   'False
      Width           =   204
   End
   Begin VB.Frame Frame2 
      Caption         =   "Input Parameters"
      Height          =   1572
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2412
      Begin VB.Label Label1 
         Caption         =   "Session &Id"
         Height          =   252
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Width           =   1092
      End
   End
End
Attribute VB_Name = "FormSessExMacroKeyboard"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Private Sub Execute_Click()
On Error GoTo ErrHandler
   FunctionComp = True
   
   OldMousePointer = MousePointer
   MousePointer = 11 ' Hour Glass Mouse Pointer
   
   DisplayType$ = GetDisplayType$(SessionIdList.Text)
   
   If DisplayType$ = "NONE" Then
      MousePointer = OldMousePointer
      MsgBox MSG_INVALID_PSID + SessionIdList.Text, 48, MSG_SAMPLE_PROG
      Exit Sub
   End If

   temp$ = LTrim$(RTrim$(SessionIdList.Text))
   If Len(temp$) > 0 Then
      Topic$ = "Session" + SessionIdList.Text
   Else
      MousePointer = OldMousePointer
      MsgBox MSG_PARA_ERROR, 48, MSG_SAMPLE_PROG
      Exit Sub
   End If

   If (ExitDlg.Enabled = False) And (KeyLockOption.Value = True) Then
      MousePointer = OldMousePointer
      Exit Sub
   End If
   
   DataText.LinkMode = NONE
   CommandString$ = GetSessExKeyData()

   rc = DoEvents()           'If you use VisualBasic V2.0, call
                             'DoEvents function each time before
                             'starting DDE conversation.
   If (KeyLockOption.Value = True) Then
     DataText.LinkTimeout = -1
     DataText.LinkTopic = APPLICATION_NAME + "|" + Topic$
     DataText.LinkMode = COLD
     DataText.LinkExecute CommandString$
   Else
     DataText.LinkMode = NONE
   End If
   
   MousePointer = OldMousePointer
   If FunctionComp = True Then
      MsgBox MSG_FUNCTION_COMP, 64, MSG_SAMPLE_PROG
      EndStatus$ = MSG_OK
      If KeyLockOption.Value = True Then
         ExitDlg.Enabled = False
      Else
         ExitDlg.Enabled = True
      End If
   Else
      MsgBox MSG_DDE_ERROR, 48, MSG_SAMPLE_PROG
      EndStatus$ = MSG_NG
   End If
   TempLogData$ = Time$ + ":Session Execute Macro : " + EndStatus$ + Chr$(13) + Chr$(10) + Chr$(9)
   TempLogData$ = TempLogData$ + MSG_APPLICATION + APPLICATION_NAME + """""" + Chr$(13) + Chr$(10) + Chr$(9)
   TempLogData$ = TempLogData$ + MSG_TOPIC + """" + Topic$ + """" + Chr$(13) + Chr$(10) + Chr$(9)
   TempLogData$ = TempLogData$ + "Command = " + """" + CommandString$ + """" + Chr$(13) + Chr$(10)
   LogData$(LogEnd) = TempLogData$
   UpdateLogPointer
   UpdateLog
'   Loged = True
   Exit Sub

ErrHandler:
   FunctionComp = False
   Resume Next
End Sub

Private Sub ExitDlg_Click()
   DataText.LinkMode = NONE
'   Hide
   
   Unload FormSessExMacroKeyboard
End Sub

Private Function GetSessExKeyData() As String
   If KeyLockOption.Value = True Then
      temp$ = "LOCK"
   Else
      temp$ = "UNLOCK"
   End If
   GetSessExKeyData = "[KEYBOARD(" + temp$ + ")]"
End Function

Private Sub UpdateLog()
    temp$ = " "
    If LogTop > LogEnd Then
       For i% = LogTop To MAXLOGNUM
          temp$ = temp$ + LogData$(i%)
       Next
       For i% = 0 To LogEnd
          temp$ = temp$ + LogData$(i%)
       Next
    ElseIf LogTop < LogEnd Then
       For i% = LogTop To LogEnd
          temp$ = temp$ + LogData(i%)
       Next
    Else
       temp$ = LogData(i%)
    End If
    MainForm.FunctionLog.Text = temp$
    Loged = False
End Sub

Private Sub UpdateLogPointer()
    LogEnd = LogEnd + 1
    If LogEnd = MAXLOGNUM + 1 Then
       LogEnd = 0
    End If

    If LogTop = LogEnd Then
       LogTop = LogTop + 1
       If LogTop = MAXLOGNUM + 1 Then
          LogTop = 0
       End If
    End If
End Sub

Private Sub Form_Load()
  SessionIdList.ListIndex = 0
End Sub


