VERSION 4.00
Begin VB.Form FormMain 
   Caption         =   "PCSAPI  Test  Program"
   ClientHeight    =   4200
   ClientLeft      =   2724
   ClientTop       =   2868
   ClientWidth     =   7464
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   0
      weight          =   700
      size            =   7.8
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   4752
   Icon            =   "VBPCSAPI.frx":0000
   Left            =   2676
   LinkTopic       =   "Form1"
   ScaleHeight     =   4200
   ScaleWidth      =   7464
   Top             =   2364
   Width           =   7560
   Begin VB.Frame LogFrame 
      Caption         =   "PscApi Function Calls"
      Height          =   4092
      Left            =   120
      TabIndex        =   0
      Top             =   0
      Width           =   7212
      Begin VB.TextBox FunctionLog 
         Appearance      =   0  'Flat
         BackColor       =   &H00C0FFFF&
         BeginProperty Font 
            name            =   "System"
            charset         =   0
            weight          =   700
            size            =   9.6
            underline       =   0   'False
            italic          =   0   'False
            strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FF0000&
         Height          =   3732
         Left            =   120
         Locked          =   -1  'True
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   1
         TabStop         =   0   'False
         Top             =   240
         Width           =   6972
      End
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuClearLog 
         Caption         =   "&Clear Log"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuPCSAPI 
      Caption         =   "&PCSAPI"
      Begin VB.Menu mnuConnectSession 
         Caption         =   "&Connect Session"
      End
      Begin VB.Menu mnuDisconnectSession 
         Caption         =   "&Disconnect Session"
      End
      Begin VB.Menu mnuStartSession 
         Caption         =   "&Start Session "
      End
      Begin VB.Menu mnuStopSession 
         Caption         =   "S&top Session"
      End
      Begin VB.Menu mnuQEMStatus 
         Caption         =   "Query &Emulator Status"
      End
      Begin VB.Menu mnuQWSProfile 
         Caption         =   "Query &Workstation Profile"
      End
   End
End
Attribute VB_Name = "FormMain"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Dim MainMinimumWidth As Long
Dim MainMinimumHeight As Long

Dim FunctionLogWidth As Long
Dim FunctionLogHeight As Long

Dim LogFrameWidth As Long
Dim LogFrameHeight As Long
Private Sub Form_Load()

   LogTop = 0
   LogEnd = 0
   
   MSG_SAMPLE_PROG = "PCSAPI TEST PROGRAM"
   MSG_NO_SESSIONID = "No Session ID specified"
   MSG_NO_PROFILENAME = "No Profile name specified"
   MSG_SESSION_NOTSTARTED = "Session not started, or invalid Session ID specified"
   MSG_INVALID_SESSIONID = "Invalid Session ID specified"
   MSG_ACTIVE_SESSIONID = "Specified Session ID already active"
   MSG_PROFILE_ERROR = "Error found in Profile"
   MSG_SYSTEM_ERROR = "System error"

   MainMinimumWidth = Width
   MainMinimumHeight = Height

   FunctionLogWidth = FunctionLog.Width
   FunctionLogHeight = FunctionLog.Height

   LogFrameWidth = LogFrame.Width
   LogFrameHeight = LogFrame.Height
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
  
  Unload FormConSes
  Unload FormDisSes
  Unload FormQEMStatus
  Unload FormQWSProfile
  Unload FormStartSession
  Unload FormStopSession
          
  ' If there are still forms open, do NOT end.
  If Forms.Count <> 1 Then
    Cancel = True
  End If

End Sub


Private Sub Form_Resize()
  
  If WindowState = 1 Then ' Iconic
    Exit Sub
  End If

  If (Width < MainMinimumWidth) Then
    Width = MainMinimumWidth
  End If

  If (Height < MainMinimumHeight) Then
    Height = MainMinimumHeight
  End If
  
  WidthDelta = Width - MainMinimumWidth
  HeightDelta = Height - MainMinimumHeight

  FunctionLog.Width = FunctionLogWidth + WidthDelta
  FunctionLog.Height = FunctionLogHeight + HeightDelta

  LogFrame.Width = LogFrameWidth + WidthDelta
  LogFrame.Height = LogFrameHeight + HeightDelta
  
  Refresh


End Sub


Private Sub mnuClearLog_Click()
  LogTop = 0
  LogEnd = 0
  FunctionLog.Text = ""
  For i% = 0 To MAXLOGNUM
    LogData$(i%) = ""
  Next
End Sub

Private Sub mnuConnectSession_Click()
  FormConSes.Show
End Sub

Private Sub mnuDisconnectSession_Click()
  FormDisSes.Show
End Sub

Private Sub mnuExit_Click()
    
  Unload Me
  
  ' If there are still forms open, do NOT end.
  If Forms.Count <> 1 Then
    Exit Sub
  End If
  
  End
End Sub

Private Sub mnuQEmStatus_Click()
  FormQEMStatus.Show
End Sub

Private Sub mnuQWSProfile_Click()
  FormQWSProfile.Show
End Sub

Private Sub mnuStartSession_Click()
  FormStartSession.Show
End Sub

Private Sub mnuStopSession_Click()
  FormStopSession.Show
End Sub

