VERSION 4.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "OfficeVision Mail Viewer for Windows"
   ClientHeight    =   6792
   ClientLeft      =   1020
   ClientTop       =   1116
   ClientWidth     =   8484
   Height          =   7164
   Icon            =   "main.frx":0000
   Left            =   972
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   6792
   ScaleWidth      =   8484
   Top             =   792
   Width           =   8580
   Begin VB.CommandButton btnReplyHistory 
      Caption         =   "Reply/History"
      Height          =   372
      Left            =   1680
      TabIndex        =   8
      Top             =   6240
      Width           =   1452
   End
   Begin VB.CommandButton btnReply 
      Caption         =   "Reply"
      Height          =   372
      Left            =   120
      TabIndex        =   7
      Top             =   6240
      Width           =   1452
   End
   Begin VB.TextBox txtMailText 
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   7.2
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3732
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   3
      Top             =   2280
      Width           =   8172
   End
   Begin VB.CommandButton btnKeep 
      Caption         =   "Keep"
      Height          =   372
      Left            =   5520
      TabIndex        =   2
      Top             =   6240
      Width           =   1332
   End
   Begin VB.CommandButton btnDiscard 
      Caption         =   "Discard"
      Height          =   372
      Left            =   4080
      TabIndex        =   1
      Top             =   6240
      Width           =   1332
   End
   Begin VB.CommandButton btnRefresh 
      Caption         =   "Refresh"
      Height          =   372
      Left            =   6960
      TabIndex        =   0
      Top             =   6240
      Width           =   1332
   End
   Begin ComctlLib.ListView lvwMailList 
      Height          =   1332
      Left            =   120
      TabIndex        =   6
      Top             =   480
      Width           =   8172
      _Version        =   65536
      _ExtentX        =   14415
      _ExtentY        =   2350
      _StockProps     =   205
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   7.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Appearance      =   1
      Icons           =   ""
      SmallIcons      =   ""
      View            =   3
      NumItems        =   3
      i1              =   "main.frx":030A
      i2              =   "main.frx":0396
      i3              =   "main.frx":0422
   End
   Begin VB.Label Label2 
      Caption         =   "Mail List"
      Height          =   252
      Left            =   240
      TabIndex        =   5
      Top             =   120
      Width           =   1572
   End
   Begin VB.Label Label1 
      Caption         =   "Mail Text"
      Height          =   252
      Left            =   360
      TabIndex        =   4
      Top             =   1920
      Width           =   1572
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Dim i, NumNotes As Integer

Private Sub btnDiscard_Click()
    ' Got to line of message and type the discard command
    Sess.autECLPS.SendKeys "dis[enter]", MailItem, 2
    Call Sleep(500)
    
    ' Reset the mail list
    txtMailText.Text = ""
    Call GetMailItems
End Sub

Private Sub btnKeep_Click()
    ' Got to line of message and type the keep command
    Sess.autECLPS.SendKeys "keep[enter]", MailItem, 2
    Call Sleep(500)
    
    ' Reset the mail list
    txtMailText.Text = ""
    Call GetMailItems
End Sub

Private Sub btnRefresh_Click()
    ' Send refresh command
    Sess.autECLPS.SendKeys "[pf5]"
    Call Sleep(500)
    
    ' Reset the mail list
    txtMailText.Text = ""
    Call GetMailItems
End Sub

Private Sub btnReply_Click()
    UseHistory = False
    frmReply.Show vbModal
End Sub

Private Sub btnReplyHistory_Click()
    ' Save history for reply
    HistoryString = txtMailText.Text
    UseHistory = True
    
    frmReply.Show vbModal
End Sub

Private Sub Form_Load()
    UseHistory = False
    Call GetMailItems
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Dim i As Integer

    ' Log off VM
    Sess.autECLPS.SendKeys "[pf3]"
    Call WaitForInput
    Sess.autECLPS.SendKeys "logoff[enter]", 24, 15
    
    'close all sub forms
    For i = Forms.Count - 1 To 1 Step -1
        Unload Forms(i)
    Next
    
    ' Close program
    End
End Sub

Private Sub mnuFileExit_Click()
    'unload the form
    Unload Me
End Sub

Private Sub mnuHelpAbout_Click()
    frmAbout.Show
End Sub

Private Sub lvwMailList_ItemClick(ByVal Item As ListItem)
    Dim ItemIndex As Integer
    Dim i As Integer
    Dim NumXtraPages As Integer
    
    ' Refresh the GUI so the selection is shown, otherwise the selection won't show
    ' until the entire text of the message is retreived.
    lvwMailList.Refresh
    btnDiscard.Enabled = True
    btnKeep.Enabled = True
    btnReplyHistory.Enabled = True
    btnReply.Enabled = True
    
    ' Get the index of the selected mail item and go to it
    ItemIndex = Item.Index
    NumXtraPages = (ItemIndex - 1) \ 8
    If NumXtraPages > 0 Then
        For i = 1 To NumXtraPages
            Sess.autECLPS.SendKeys "[pf8]"
            Call WaitForInput ' This function waits for the OIA to indicate input is OK
        Next i
        ItemIndex = ItemIndex - (NumXtraPages * 8)
    End If
    MailItem = (ItemIndex * 2) + 3
    Sess.autECLPS.SendKeys "open[enter]", MailItem, 2
    
    ' Wait for the note to open then get it's text
    If WaitForScreen("V01", "Note", 500, 10) Then
        Call GetMailText
    Else
        MsgBox "Couldn't get mail text"
    End If
    
    ' Go back to the main mail screen in VM
    Sess.autECLPS.SendKeys "[pf12]"
    Call WaitForInput ' This function waits for the OIA to indicate input is OK
    
    ' Get to the top of the note list
    If NumXtraPages > 0 Then
        Sess.autECLPS.SendKeys "[pf6]"
        Call WaitForInput ' This function waits for the OIA to indicate input is OK
    End If
End Sub

Private Sub GetMailItems()
    Dim NumString As String
    Dim Row As Long
    Dim ColForNumNotes As Long
    Dim RowForNumNotes As Long
    Dim XtraPages As Boolean

    btnDiscard.Enabled = False
    btnKeep.Enabled = False
    btnReplyHistory.Enabled = False
    btnReply.Enabled = False
    XtraPages = False
    
    ' Get number of email messages
    ColForNumNotes = 1
    RowForNumNotes = 1
    Sess.autECLPS.SearchText "of", 1, RowForNumNotes, ColForNumNotes
    NumString = Sess.autECLPS.GetText(1, ColForNumNotes + 3, 81 - ColForNumNotes + 3)
    NumNotes = Val(NumString)
    Row = 5
    
    ' Get the text we want to put in our GUI list from VM mail screen
    lvwMailList.ListItems.Clear
    For i = 1 To NumNotes
        lvwMailList.ListItems.Add.Text = Sess.autECLPS.GetTextRect(Row, 10, Row, 27)
        lvwMailList.ListItems(i).SubItems(1) = Sess.autECLPS.GetTextRect(Row, 65, Row, 80)
        lvwMailList.ListItems(i).SubItems(2) = Sess.autECLPS.GetTextRect(Row + 1, 11, Row + 1, 80)
                
        Call Sleep(100)
        If (i Mod 8) = 0 Then
            XtraPages = True
            Sess.autECLPS.SendKeys "[pf8]"
            Call WaitForInput ' This function waits for the OIA to indicate input is OK
            Row = 5
        Else
            Row = Row + 2
        End If
    Next i

    If XtraPages Then
        Sess.autECLPS.SendKeys "[pf6]"
        Call WaitForInput ' This function waits for the OIA to indicate input is OK
    End If
End Sub

Private Sub GetMailText()
    Dim WorkString As String
    Dim MailString As String
    Dim EndOfNote As Boolean
    Dim NumRows, EndRow, EndCol, GetRow As Long
    Dim InStrRet As Integer
    
    NumRows = 0
    EndOfNote = False
    GetRow = 2
    
    ' Get the text on the screen and keep doing it and paging down until
    ' we're at the end of the note
    While Not EndOfNote
        If NumRows = 0 Then
            GetRow = 3
        End If
        Call WaitForInput ' This function waits for the OIA to indicate input is OK
        WorkString = WorkString + Sess.autECLPS.GetTextRect(GetRow, 2, 20, 79)
        EndRow = 1
        EndCol = 1
        If Sess.autECLPS.SearchText("E N D  O F  N O T E", 1, EndRow, EndCol) Then
            EndOfNote = True
            NumRows = NumRows + EndRow - 1
        Else
            Sess.autECLPS.SendKeys "[pf8]"
            NumRows = NumRows + 19
        End If
    Wend
    
    ' Remove the E N D  OF  N O T E text
    InStrRet = InStr(1, WorkString, "E N D  O F  N O T E")
    WorkString = Mid(WorkString, 1, InStrRet - 1)
    
    ' Parse the big glob of email text that we got into appropriate rows
    For i = 0 To NumRows
        MailString = MailString + Mid(WorkString, (i * 78 + 1), 78)
        MailString = MailString + Chr$(13) + Chr$(10)
    Next i
    
    ' Put the mail text in the GUI
    txtMailText.Text = MailString
End Sub

