VERSION 4.00
Begin VB.Form FormStartCloseIntercept 
   Caption         =   "Start Close Intercept"
   ClientHeight    =   4212
   ClientLeft      =   4128
   ClientTop       =   2832
   ClientWidth     =   3732
   ControlBox      =   0   'False
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   0
      weight          =   700
      size            =   7.8
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   4536
   Left            =   4080
   LinkMode        =   1  'Source
   LinkTopic       =   "Form2"
   ScaleHeight     =   4212
   ScaleWidth      =   3732
   Top             =   2556
   Width           =   3828
   Begin VB.Frame Frame3 
      Caption         =   "Time of Last Close Request"
      Height          =   612
      Left            =   120
      TabIndex        =   13
      Top             =   3000
      Width           =   3492
      Begin VB.Label TimeLabel 
         Alignment       =   2  'Center
         Height          =   252
         Left            =   120
         TabIndex        =   14
         Top             =   240
         Width           =   3252
      End
   End
   Begin VB.ComboBox SessionIdList 
      BackColor       =   &H00FFFFC0&
      ForeColor       =   &H00000000&
      Height          =   288
      ItemData        =   "FSTCLINT.frx":0000
      Left            =   1320
      List            =   "FSTCLINT.frx":0052
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   360
      Width           =   492
   End
   Begin VB.CommandButton ExitCommand 
      Cancel          =   -1  'True
      Caption         =   "E&xit"
      Height          =   372
      Left            =   2640
      TabIndex        =   8
      Top             =   3720
      Width           =   852
   End
   Begin VB.CommandButton StopCommand 
      Caption         =   "&End"
      Enabled         =   0   'False
      Height          =   372
      Left            =   1440
      TabIndex        =   7
      Top             =   3720
      Width           =   852
   End
   Begin VB.CommandButton StartCommand 
      Caption         =   "&Begin"
      Default         =   -1  'True
      Height          =   372
      Left            =   216
      TabIndex        =   6
      Top             =   3720
      Width           =   876
   End
   Begin VB.Frame UserDefFrame 
      Caption         =   "User &Defined String"
      Enabled         =   0   'False
      ForeColor       =   &H80000008&
      Height          =   612
      Left            =   240
      TabIndex        =   4
      Top             =   1080
      Width           =   3252
      Begin VB.TextBox UserDefStrText 
         BackColor       =   &H00FFFFC0&
         Enabled         =   0   'False
         ForeColor       =   &H00000000&
         Height          =   288
         Left            =   120
         TabIndex        =   5
         Text            =   "example"
         Top             =   240
         Width           =   3012
      End
   End
   Begin VB.CheckBox TopicCheck 
      Caption         =   "&Use Session Topic Name "
      ForeColor       =   &H80000008&
      Height          =   372
      Left            =   240
      TabIndex        =   3
      Top             =   720
      Value           =   1  'Checked
      Width           =   2508
   End
   Begin VB.TextBox CloseInterceptText 
      BackColor       =   &H00C0FFFF&
      Height          =   372
      Left            =   2400
      MaxLength       =   4
      TabIndex        =   9
      Top             =   3720
      Visible         =   0   'False
      Width           =   192
   End
   Begin VB.Frame Frame1 
      Caption         =   "Input Parameters"
      Height          =   2412
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3492
      Begin VB.Frame Frame2 
         Caption         =   "Topic"
         Height          =   612
         Left            =   120
         TabIndex        =   11
         Top             =   1680
         Width           =   3252
         Begin VB.Label TopicLabel 
            Alignment       =   2  'Center
            Caption         =   "SessionA"
            Height          =   252
            Left            =   120
            TabIndex        =   12
            Top             =   240
            Width           =   3012
         End
      End
      Begin VB.Label Label1 
         Caption         =   "Session &Id"
         Height          =   252
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Width           =   1092
      End
   End
   Begin VB.Label ResultMessageLabel 
      Alignment       =   2  'Center
      Caption         =   "DDE Conversation Active"
      ForeColor       =   &H00FF0000&
      Height          =   252
      Left            =   216
      TabIndex        =   10
      Top             =   2640
      Visible         =   0   'False
      Width           =   3276
   End
End
Attribute VB_Name = "FormStartCloseIntercept"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

Private Sub CloseInterceptText_Change()

   If StartCommand.Enabled = False Then
      If (CloseInterceptText.Text <> "0000") And (CloseInterceptText.Text <> " ") Then
         LogData$(LogEnd) = Time$ + ":Close Request was Intercepted :" + Chr$(13) + Chr$(10) + Chr$(9) + "Data=" + CloseInterceptText.Text + Chr$(13) + Chr$(10)
         UpdateLogPointer
         UpdateLog

         TimeLabel.Caption = Time
         CloseInterceptText.Text = " "
      End If
   End If
End Sub

Private Sub ExitCommand_Click()
    Unload FormStartCloseIntercept
End Sub

Private Function GetTopicName() As String
   If Len(SessionIdList.Text) > 0 Then
      If TopicCheck.Value = CHECKED Then
         ReturnString$ = "Session" + SessionIdList.Text
      Else
         ReturnString$ = "Sess" + SessionIdList.Text + "_" + UserDefStrText.Text
      End If
      GetTopicName = ReturnString$
   Else
      MsgBox MSG_PARA_ERROR, 48, MSG_SAMPLE_PROG
   End If
End Function

Private Sub Form_Load()
  SessionIdList.ListIndex = 0
End Sub

Private Sub StartCommand_Click()
On Error GoTo ErrHandler
   FunctionComp = True
   TimeLabel.Caption = " "
   
   OldMousePointer = MousePointer
   MousePointer = 11 ' Hour Glass Mouse Pointer
   
   DisplayType$ = GetDisplayType$(SessionIdList.Text)
   
   If DisplayType$ = "NONE" Then
      MousePointer = OldMousePointer
      MsgBox MSG_INVALID_PSID + SessionIdList.Text, 48, MSG_SAMPLE_PROG
      Exit Sub
   End If
   
   Topic$ = GetTopicName()
   If Len(Topic$) > 0 Then
      Item$ = "CLOSE"
   Else
     MsgBox MSG_PARA_ERROR, 48, MSG_SAMPLE_PROG
     MousePointer = OldMousePointer
     Exit Sub
   End If
   
      rc = DoEvents()           'If you use VisualBasic V2.0, call
                                'DoEvents function each time before
                                'starting DDE conversation.
      CloseInterceptText.LinkTimeout = -1
      CloseInterceptText.LinkTopic = APPLICATION_NAME + "|" + Topic$
      CloseInterceptText.LinkItem = Item$
      CloseInterceptText.LinkMode = HOT
      
      MousePointer = OldMousePointer
      If FunctionComp = True Then
         ResultMessageLabel.Visible = True
         EndStatus$ = MSG_OK
         StartCommand.Enabled = False
         StopCommand.Enabled = True
         ExitCommand.Enabled = False
      Else
         ResultMessageLabel.Visible = False
         MsgBox MSG_DDE_ERROR, 48, MSG_SAMPLE_PROG
         EndStatus$ = MSG_NG
      End If
      TempLogData$ = Time$ + ":Start Close Intercept : " + EndStatus$ + Chr$(13) + Chr$(10) + Chr$(9)
      TempLogData$ = TempLogData$ + MSG_APPLICATION + APPLICATION_NAME + """" + Chr$(13) + Chr$(10) + Chr$(9)
      TempLogData$ = TempLogData$ + MSG_TOPIC + """" + Topic$ + """" + Chr$(13) + Chr$(10) + Chr$(9)
      TempLogData$ = TempLogData$ + MSG_ITEM + """" + Item$ + """" + Chr$(13) + Chr$(10)
      LogData$(LogEnd) = TempLogData$
      UpdateLogPointer
      UpdateLog
  Exit Sub

ErrHandler:
   FunctionComp = False
   Resume Next
End Sub

Private Sub StopCommand_Click()
On Error GoTo StopErrHandler
   FunctionComp = True
   
   CloseInterceptText.LinkTimeout = -1
   CloseInterceptText.LinkMode = NONE
   StartCommand.Enabled = True
   If FunctionComp = True Then
      ResultMessageLabel.Visible = False
      EndStatus$ = MSG_OK
      StopCommand.Enabled = False
      StartCommand.Enabled = True
      ExitCommand.Enabled = True
   Else
      MsgBox MSG_DDE_ERROR, 48, MSG_SAMPLE_PROG
      EndStatus$ = MSG_NG
   End If
   LogData$(LogEnd) = Time$ + ":Stop Close Intercept : " + EndStatus$ + Chr$(13) + Chr$(10)
   UpdateLogPointer
   UpdateLog
   Exit Sub

StopErrHandler:
   FunctionComp = False
   Resume Next
End Sub

Private Sub TopicCheck_Click()

  If TopicCheck.Value = CHECKED Then
     UserDefFrame.Enabled = False
     UserDefStrText.Enabled = False
  Else
     UserDefFrame.Enabled = True
     UserDefStrText.Enabled = True
  End If
  
  TopicLabel.Caption = GetTopicName()
End Sub

Private Sub UpdateLog()
    temp$ = " "
    If LogTop > LogEnd Then
       For i% = LogTop To MAXLOGNUM
          temp$ = temp$ + LogData$(i%)
       Next
       For i% = 0 To LogEnd
          temp$ = temp$ + LogData$(i%)
       Next
    ElseIf LogTop < LogEnd Then
       For i% = LogTop To LogEnd
          temp$ = temp$ + LogData(i%)
       Next
    Else
       temp$ = LogData(i%)
    End If
    MainForm.FunctionLog.Text = temp$
    Loged = False
End Sub

Private Sub UpdateLogPointer()
    LogEnd = LogEnd + 1
    If LogEnd = MAXLOGNUM + 1 Then
       LogEnd = 0
    End If

    If LogTop = LogEnd Then
       LogTop = LogTop + 1
       If LogTop = MAXLOGNUM + 1 Then
          LogTop = 0
       End If
    End If
End Sub

Private Sub UserDefStrText_Change()
  TopicLabel.Caption = GetTopicName()
End Sub


