VERSION 4.00
Begin VB.Form FormStopSession 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Stop  Session"
   ClientHeight    =   2832
   ClientLeft      =   3504
   ClientTop       =   3576
   ClientWidth     =   5136
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   0
      weight          =   700
      size            =   7.8
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   3156
   Left            =   3456
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2832
   ScaleWidth      =   5136
   ShowInTaskbar   =   0   'False
   Top             =   3300
   Width           =   5232
   Begin VB.ComboBox SessionIdList 
      BackColor       =   &H00FFFF80&
      ForeColor       =   &H00000000&
      Height          =   288
      ItemData        =   "STOPSES.frx":0000
      Left            =   600
      List            =   "STOPSES.frx":0052
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   360
      Width           =   492
   End
   Begin VB.CommandButton ExitCommand 
      Cancel          =   -1  'True
      Caption         =   "E&xit"
      Height          =   375
      Left            =   3600
      TabIndex        =   7
      Top             =   600
      Width           =   1335
   End
   Begin VB.CommandButton StopCommand 
      Caption         =   "&Stop Session"
      Default         =   -1  'True
      Height          =   375
      Left            =   3600
      TabIndex        =   6
      Top             =   120
      Width           =   1335
   End
   Begin VB.Frame Frame3 
      Caption         =   "Saving &Profile"
      Height          =   1572
      Left            =   240
      TabIndex        =   2
      Top             =   960
      Width           =   3132
      Begin VB.OptionButton OptNoSave 
         Caption         =   "Do &Not Save"
         Height          =   192
         Left            =   240
         TabIndex        =   5
         Top             =   1200
         Width           =   1812
      End
      Begin VB.OptionButton OptSaveOnExit 
         Caption         =   "Save &On Exit"
         Height          =   252
         Left            =   240
         TabIndex        =   4
         Top             =   720
         Width           =   2412
      End
      Begin VB.OptionButton OptAsProfile 
         Caption         =   "&Do As Specified in Profile"
         Height          =   375
         Left            =   240
         TabIndex        =   3
         Top             =   240
         Value           =   -1  'True
         Width           =   2415
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Session &Id"
      Height          =   612
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   1212
   End
End
Attribute VB_Name = "FormStopSession"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Private Sub ExitCommand_Click()
  Unload FormStopSession
End Sub

Private Sub Form_Load()
  SessionIdList.ListIndex = 0
End Sub


Private Sub StopCommand_Click()

   Dim SessionID As Integer
   Dim SaveOption As Integer

   IsProcessing = True
   FormMain.mnuFile.Enabled = False
   FormMain.mnuPCSAPI.Enabled = False

   If Len(SessionIdList.Text) = 0 Then
     MsgBox MSG_NO_SESSIONID, 48, MSG_SAMPLE_PROG
   Else
     SessionID = Asc(SessionIdList.Text)
     If OptAsProfile.Value = True Then
       SaveOption = SS_SAVE_AS_PROFILE
     ElseIf OptSaveOnExit.Value = True Then
       SaveOption = SS_SAVE_ON_EXIT
     ElseIf OptNoSave.Value = True Then
       SaveOption = SS_NOSAVE_ON_EXIT
     End If
     
     rc = pcsStopSession(SessionID, SaveOption)
     If rc = 0 Then
       MsgBox MSG_SESSION_NOTSTARTED, 64, MSG_SAMPLE_PROG
     Else
       MsgBox "Session " + UCase$(Chr$(SessionID)) + " stopped", 64, MSG_SAMPLE_PROG
     End If

     TempLogData$ = Time$ + ": Stop Session" + Chr$(13) + Chr$(10) + Chr$(9)
     TempLogData$ = TempLogData$ + "Session ID = " + Chr$(SessionID) + ", Saving profile option = " + Hex$(SaveOption) + ", RC = " + Str$(rc) + Chr$(13) + Chr$(10)
     LogData$(LogEnd) = TempLogData$
     UpdateLogPointer
     UpdateLog
   End If
     
     IsProcessing = False
     FormMain.mnuFile.Enabled = True
     FormMain.mnuPCSAPI.Enabled = True

End Sub

